searchData={"content_type":"text/markdown","items":[{"doc":"The main API for Bankster.","ref":"Bankster.html","title":"Bankster","type":"module"},{"doc":"Validates a given string whether it's a valid SWIFT BIC","ref":"Bankster.html#bic_valid?/1","title":"Bankster.bic_valid?/1","type":"function"},{"doc":"iex> Bankster.bic_valid?(\"INVALIDBIC\")\n    false","ref":"Bankster.html#bic_valid?/1-example","title":"Example - Bankster.bic_valid?/1","type":"function"},{"doc":"Validates a given string whether it's a valid IBAN","ref":"Bankster.html#iban_valid?/1","title":"Bankster.iban_valid?/1","type":"function"},{"doc":"iex> Bankster.iban_valid?(\"INVALIDIBAN\")\n    false","ref":"Bankster.html#iban_valid?/1-example","title":"Example - Bankster.iban_valid?/1","type":"function"},{"doc":"Validates a string whether it's a valid IBAN an returns an error tuple on invalid data.","ref":"Bankster.html#iban_validate/1","title":"Bankster.iban_validate/1","type":"function"},{"doc":"iex> Bankster.iban_validate(\"INVALIDIBAN\")\n    {:error, :invalid_country}\n\n    iex> Bankster.iban_validate(\"DK838718234242342348644726815\")\n    {:error, :invalid_length}\n\n    iex> Bankster.iban_validate(\"DK8387188644726815\")\n    {:ok, \"DK8387188644726815\"}","ref":"Bankster.html#iban_validate/1-example","title":"Example - Bankster.iban_validate/1","type":"function"},{"doc":"Module provides some SWIFT BIC related functions.","ref":"Bankster.Bic.html","title":"Bankster.Bic","type":"module"},{"doc":"Validates a given string whether it's a valid SWIFT BIC","ref":"Bankster.Bic.html#valid?/1","title":"Bankster.Bic.valid?/1","type":"function"},{"doc":"iex> Bankster.Bic.valid?(\"INVALIDBIC\")\n  false","ref":"Bankster.Bic.html#valid?/1-examples","title":"Examples - Bankster.Bic.valid?/1","type":"function"},{"doc":"Module provides some IBAN related functions.","ref":"Bankster.Iban.html","title":"Bankster.Iban","type":"module"},{"doc":"Returns the BBAN of the given IBAN.","ref":"Bankster.Iban.html#bban/1","title":"Bankster.Iban.bban/1","type":"function"},{"doc":"iex> Bankster.Iban.bban(\"DK8387188644726815\")\n    \"87188644726815\"","ref":"Bankster.Iban.html#bban/1-examples","title":"Examples - Bankster.Iban.bban/1","type":"function"},{"doc":"Returns the checksum of the given IBAN.","ref":"Bankster.Iban.html#checksum/1","title":"Bankster.Iban.checksum/1","type":"function"},{"doc":"iex> Bankster.Iban.checksum(\"DK8387188644726815\")\n    83","ref":"Bankster.Iban.html#checksum/1-examples","title":"Examples - Bankster.Iban.checksum/1","type":"function"},{"doc":"Returns the country code of the given IBAN.","ref":"Bankster.Iban.html#country_code/1","title":"Bankster.Iban.country_code/1","type":"function"},{"doc":"iex> Bankster.Iban.country_code(\"DK8387188644726815\")\n    \"DK\"","ref":"Bankster.Iban.html#country_code/1-examples","title":"Examples - Bankster.Iban.country_code/1","type":"function"},{"doc":"Formats and returns a given IBAN in compact format.","ref":"Bankster.Iban.html#format_compact/1","title":"Bankster.Iban.format_compact/1","type":"function"},{"doc":"iex> Bankster.Iban.format_compact(\"DK8     38 7188 64472     6815   \")\n    \"DK8387188644726815\"","ref":"Bankster.Iban.html#format_compact/1-examples","title":"Examples - Bankster.Iban.format_compact/1","type":"function"},{"doc":"Formats and returns a given IBAN in pretty format.","ref":"Bankster.Iban.html#format_pretty/1","title":"Bankster.Iban.format_pretty/1","type":"function"},{"doc":"iex> Bankster.Iban.format_pretty(\"DK8387188644726815\")\n    \"DK838 7188 64472 6815\"","ref":"Bankster.Iban.html#format_pretty/1-examples","title":"Examples - Bankster.Iban.format_pretty/1","type":"function"},{"doc":"Returns the size/length of the given IBAN.","ref":"Bankster.Iban.html#size/1","title":"Bankster.Iban.size/1","type":"function"},{"doc":"iex> Bankster.Iban.size(\"DK 8387   188644     726815\")\n    18","ref":"Bankster.Iban.html#size/1-examples","title":"Examples - Bankster.Iban.size/1","type":"function"},{"doc":"Returns the country codes of the supported countries.","ref":"Bankster.Iban.html#supported_countries/0","title":"Bankster.Iban.supported_countries/0","type":"function"},{"doc":"iex> Bankster.Iban.supported_countries()\n    [\"SM\", \"KZ\", \"SN\", \"BA\", \"GA\", \"KW\", \"MU\", ...]","ref":"Bankster.Iban.html#supported_countries/0-examples","title":"Examples - Bankster.Iban.supported_countries/0","type":"function"},{"doc":"Validates whether the given country code is within the supported countries.","ref":"Bankster.Iban.html#supported_country?/1","title":"Bankster.Iban.supported_country?/1","type":"function"},{"doc":"iex> Bankster.Iban.supported_country?(\"DE\")\n    true\n\n    iex> Bankster.Iban.supported_country?(\"XYZ\")\n    false","ref":"Bankster.Iban.html#supported_country?/1-examples","title":"Examples - Bankster.Iban.supported_country?/1","type":"function"},{"doc":"Validates a string whether it's a valid IBAN and returns a boolen value.","ref":"Bankster.Iban.html#valid?/1","title":"Bankster.Iban.valid?/1","type":"function"},{"doc":"iex> Bankster.Iban.valid?(\"INVALIDIBAN\")\n    false\n\n    iex> Bankster.Iban.valid?(\"DK8387188644726815\")\n    true","ref":"Bankster.Iban.html#valid?/1-examples","title":"Examples - Bankster.Iban.valid?/1","type":"function"},{"doc":"Validates a string whether it's a valid IBAN an returns an error tuple on invalid data.","ref":"Bankster.Iban.html#validate/1","title":"Bankster.Iban.validate/1","type":"function"},{"doc":"iex> Bankster.Iban.validate(\"INVALIDIBAN\")\n    {:error, :invalid_country}\n\n    iex> Bankster.Iban.validate(\"DK838718234242342348644726815\")\n    {:error, :invalid_length}\n\n    iex> Bankster.Iban.validate(\"DK8387188644726815\")\n    {:ok, \"DK8387188644726815\"}","ref":"Bankster.Iban.html#validate/1-examples","title":"Examples - Bankster.Iban.validate/1","type":"function"}]}